package cn.com.qmth.print.manage.service;

import cn.com.qmth.print.manage.entity.CheckRecordEntity;
import cn.com.qmth.print.manage.enums.GroupType;
import cn.com.qmth.print.manage.service.query.RecordQuery;
import cn.com.qmth.print.manage.vo.CheckRecordVo;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface CheckRecordService extends IService<CheckRecordEntity> {

    CheckRecordVo start(Long userId, Long examId, String startNumber);

    CheckRecordVo end(Long id, Long userId, Long examId, String endNumber);

    CheckRecordEntity findByGroupTypeAndGroupName(GroupType type, String groupName);

    IPage<CheckRecordEntity> pageQuery(RecordQuery query);

    List<CheckRecordEntity> listByExamId(Long examId);
}
