package cn.com.qmth.print.manage.service;

import cn.com.qmth.print.manage.entity.ExamEntity;
import cn.com.qmth.print.manage.service.query.ExamQuery;
import cn.com.qmth.print.manage.vo.ExamVo;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface ExamService extends IService<ExamEntity> {

    List<ExamEntity> listByOrgId(Long orgId);

    Long saveExam(ExamEntity exam);

    IPage<ExamVo> pageQuery(ExamQuery query);

    List<ExamEntity> listByUserId(Long userId);
}
