package cn.com.qmth.print.manage.service.query;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;

import org.springframework.validation.annotation.Validated;

import cn.com.qmth.print.manage.entity.OrgEntity;

import com.qmth.boot.mybatis.query.BaseQuery;

@Validated
public class OrgQuery extends BaseQuery<OrgEntity> {

    private static final long serialVersionUID = 3260496142491163981L;

    private String name;

    private String code;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Min(1)
    public long getPageNumber() {
        return super.getPageNumber();
    }

    @Min(1)
    @Max(100)
    public long getPageSize() {
        return super.getPageSize();
    }

}
