package cn.com.qmth.print.manage.entity;

import cn.com.qmth.print.manage.entity.base.AuditingWithoutIdEntity;

import com.baomidou.mybatisplus.annotation.TableName;

@TableName("pm_exam_user_relation")
public class ExamUserRelationEntity extends AuditingWithoutIdEntity {

    private static final long serialVersionUID = 3106896422923209011L;

    private Long userId;

    private Long examId;

    public ExamUserRelationEntity() {
        super();
    }

    /**
     * 构造函数
     *
     * @param userId
     * @param examId
     */
    public ExamUserRelationEntity(Long userId, Long examId) {
        super();
        this.userId = userId;
        this.examId = examId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

}
