package cn.com.qmth.print.manage.service.query;

import cn.com.qmth.print.manage.entity.ExamEntity;
import com.qmth.boot.mybatis.query.BaseQuery;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

@Validated
public class ExamQuery extends BaseQuery<ExamEntity> {

    private static final long serialVersionUID = 3260496142491163981L;

    private String name;

    private Long orgId;

    @NotNull
    private boolean enable;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    @Min(1)
    public long getPageNumber() {
        return super.getPageNumber();
    }

    @Min(1)
    @Max(100)
    public long getPageSize() {
        return super.getPageSize();
    }

}
